
From: Russell King <rmk-pci@arm.linux.org.uk>

pci_request_regions() reports an error when pci_request_region() fails. 
However, since pci_request_region() already reports an error on failure,
pci_request_regions() has some unwanted duplication.



---

 25-akpm/drivers/pci/pci.c |    5 -----
 1 files changed, 5 deletions(-)

diff -puN drivers/pci/pci.c~pci_request_regions-printk-fix drivers/pci/pci.c
--- 25/drivers/pci/pci.c~pci_request_regions-printk-fix	Fri Feb 20 17:53:03 2004
+++ 25-akpm/drivers/pci/pci.c	Fri Feb 20 17:53:03 2004
@@ -579,11 +579,6 @@ int pci_request_regions(struct pci_dev *
 	return 0;
 
 err_out:
-	printk (KERN_WARNING "PCI: Unable to reserve %s region #%d:%lx@%lx for device %s\n",
-		pci_resource_flags(pdev, i) & IORESOURCE_IO ? "I/O" : "mem",
-		i + 1, /* PCI BAR # */
-		pci_resource_len(pdev, i), pci_resource_start(pdev, i),
-		pci_name(pdev));
 	while(--i >= 0)
 		pci_release_region(pdev, i);
 		

_
